let angle = 0; // Initial angle for rotation

function setup() {
    createCanvas(600, 600);
    angleMode(DEGREES); // Set angle mode to DEGREES
    noStroke(); // No border for shapes
}

function draw() {
    background(255); // White background
    translate(width / 2, height / 2); // Move origin to the center

    // Draw the spirals
    for (let i = 0; i < 12; i++) { // Create 12 spirals
        push(); // Save the current state
        rotate(i * 30); // Rotate each spiral around the center
        drawSpiral(80, 5); // Start spiral length and step size
        pop(); // Restore the previous state
    }
}

// Function to draw a spiral
function drawSpiral(length, iterations) {
    for (let j = 0; j < iterations; j++) {
        let radius = length - j * 5; // Decrease the radius
        fill(0, 100 + j * 15, 150, 200); // Gradient color effect
        ellipse(radius, 0, 30); // Draw a circle representing part of the spiral
        length *= 0.9; // Reduce the length to create a shrinking effect
        translate(radius * 0.9, 0); // Move to the next point in the spiral
        rotate(15); // Rotate the next segment for a spiral effect
    }
}